// Mixins

@mixin badge-variant($background) {
    color: $white;
    background-color: $background;

    @at-root a#{&} {
        @include hover-focus() {
        color: color-yiq($background);
        background-color: darken($background, 10%);
        }

        &:focus,
        &.focus {
        outline: 0;
        box-shadow: 0 0 0 $badge-focus-width rgba($background, .5);
        }
    }
}

@mixin badge-outline-variant($background, $color) {
    color: $color;
    background-color: $background;
    font-weight: $font-weight-base;
}
